curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/sso-connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/sso-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/sso-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/sso-connections")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/sso-connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/sso-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 19069,
"resource": "sso-connection",
"partnerId": 1069,
"protocol": "saml",
"identityPlatformProviderId": "saml.example-transit",
"displayName": "Example Transit SSO",
"emailDomains": [
{
"domain": "example-transit.example.com",
"txtName": "_allride-voucher-verification.example-transit.example.com",
"txtValue": "allride-verify=4f0c2b1e9d8a",
"verifiedAt": null,
"lastCheckedAt": null,
"lastError": null
}
],
"status": "draft",
"enforced": false,
"jitProvisioning": true,
"jitDefaultGroupId": 14070,
"idp": {
"entityId": "https://idp.example-transit.example.com/saml",
"ssoUrl": "https://idp.example-transit.example.com/sso",
"certificateFingerprints": [
"5d1c7eaa219b3044f18e0d6a52c39f172b88e4017d63a95ec2104fbb39d67208"
]
},
"serviceProvider": {
"entityId": "https://api.voucher.allride.io/auth/v1/saml/example-transit",
"acsUrl": "https://api.voucher.allride.io/auth/v1/saml/example-transit/acs"
},
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/sso-connections/19069",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}List SSO connections
Lists your single sign-on connections. SSO is configured only by dashboard users. See Members and groups.
Required permissions: view-sso · API keys: not allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/sso-connections \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/sso-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/sso-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/sso-connections")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/sso-connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/sso-connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 19069,
"resource": "sso-connection",
"partnerId": 1069,
"protocol": "saml",
"identityPlatformProviderId": "saml.example-transit",
"displayName": "Example Transit SSO",
"emailDomains": [
{
"domain": "example-transit.example.com",
"txtName": "_allride-voucher-verification.example-transit.example.com",
"txtValue": "allride-verify=4f0c2b1e9d8a",
"verifiedAt": null,
"lastCheckedAt": null,
"lastError": null
}
],
"status": "draft",
"enforced": false,
"jitProvisioning": true,
"jitDefaultGroupId": 14070,
"idp": {
"entityId": "https://idp.example-transit.example.com/saml",
"ssoUrl": "https://idp.example-transit.example.com/sso",
"certificateFingerprints": [
"5d1c7eaa219b3044f18e0d6a52c39f172b88e4017d63a95ec2104fbb39d67208"
]
},
"serviceProvider": {
"entityId": "https://api.voucher.allride.io/auth/v1/saml/example-transit",
"acsUrl": "https://api.voucher.allride.io/auth/v1/saml/example-transit/acs"
},
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/sso-connections/19069",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Query Parameters
Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100000Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100One sort field; prefix - for descending (sort=field or sort=-field). Allowed: createdAt. Default -createdAt. The server appends id as a tie-breaker.
"-createdAt"
Status (equals).
draft, testing, active, disabled Status (one of (comma-separated)). Comma-separated values.
Protocol (equals).
saml, oidc Response
OK
Page envelope of SsoConnection items.
The page.
Show child attributes
Show child attributes